Subject: Collection (2) Emeril's Essence
From: "Fred Towner" <[email-masked]>
Date: 19 Feb 1999 05:33:04 -0700
Newsgroups: rec.food.recipes

Essence of Emeril (Bayou Blast)
Essence of Emeril (Southwest Spice)

>From: "MandC" <[email-masked]>
>I am looking for the recipe for his Essence. I know it was on
>one of the sites awhile ago, but I missed it. THnx
>

MMMMM----- Recipe via Meal-Master (tm) v8.05

    Title: Essence of Emeril (Bayou Blast)
 Categories: Spice mix
    Yield: 1 Servings

2 1/2 Tbsp Paprika
    2 Tbsp Salt
    2 Tbsp Garlic powder
    1 Tbsp Black pepper
    1 Tbsp Onion powder
    1 Tbsp Cayenne powder
    1 Tbsp Oregano, dried
    1 Tbsp Thyme, dried

Combine all ingredients thoroughly.

MMMMM

MMMMM----- Recipe via Meal-Master (tm) v8.05

    Title: Essence of Emeril (Southwest Spice)
 Categories: Spice mix
    Yield: 1 Servings

    2 Tbsp Chili powder
    2 tsp Cumin, ground
    2 Tbsp Paprika
    1 Tbsp Oregano, dried
    1 Tbsp Coriander, ground
    1 tsp Cayenne pepper
    1 Tbsp Garlic powder
    1 tsp Crushed red pepper
    1 Tbsp Salt
    1 tsp Black pepper

Combine all ingredients thoroughly.

MMMMM

>From the recipe collection of Fred Towner

.... Rec.food.recipes is moderated; only recipes and recipe requests are
accepted for posting. Requests/Recipes go to [email-masked];
Questions/Comments to [email-masked]. Please allow several days
for your submission to appear.